Page MenuHomePhabricator

Superset Updates
Open, MediumPublic0 Estimated Story Points

Related Objects

Event Timeline

kzimmerman added a subscriber: kzimmerman.

Thank you, @Nuria!

elukey triaged this task as Medium priority.Dec 13 2018, 12:57 PM
elukey updated the task description. (Show Details)
elukey updated the task description. (Show Details)
fdans edited projects, added Analytics-Kanban; removed Analytics.Dec 13 2018, 6:01 PM
mpopov moved this task from Triage to Tracking on the Product-Analytics board.
mpopov added a subscriber: mpopov.

Thank you, @Nuria!

Nuria moved this task from Next Up to Parent Tasks on the Analytics-Kanban board.Dec 14 2018, 5:40 AM
elukey updated the task description. (Show Details)Dec 17 2018, 11:02 AM
elukey updated the task description. (Show Details)
elukey updated the task description. (Show Details)Dec 17 2018, 11:05 AM
elukey updated the task description. (Show Details)Mar 6 2019, 11:41 AM
elukey updated the task description. (Show Details)Mar 20 2019, 6:39 PM
elukey updated the task description. (Show Details)Mar 21 2019, 1:52 PM
elukey updated the task description. (Show Details)
elukey updated the task description. (Show Details)Mar 29 2019, 10:37 AM
elukey updated the task description. (Show Details)Apr 26 2019, 6:24 AM
elukey updated the task description. (Show Details)Apr 26 2019, 8:26 AM
elukey updated the task description. (Show Details)May 17 2019, 5:46 AM
elukey removed a subscriber: Tbayer.
elukey updated the task description. (Show Details)Jun 13 2019, 9:40 AM
jlinehan moved this task from Inbox to To Do on the Better Use Of Data board.Jul 16 2019, 5:22 PM
jlinehan moved this task from To Do to Inbox on the Better Use Of Data board.Jul 16 2019, 5:30 PM
elukey updated the task description. (Show Details)Aug 13 2019, 2:32 PM
elukey updated the task description. (Show Details)Aug 21 2019, 5:24 PM
elukey updated the task description. (Show Details)Dec 4 2019, 4:09 PM
elukey added a subscriber: elukey.Dec 4 2019, 4:13 PM

As FYI to everybody interested, we have tested 0.35.1 (latest upstream) in T236690, but we ended up in a bug that broke a dashboard: https://github.com/apache/incubator-superset/issues/8676

The Superset project is now finally releasing their releases on Pypi, that eases a lot the task of building and deploying a new version of Superset. Since the above bug has been fixed in the master branch, I'd be inclined to avoid building 0.35.1 from our own branch, but just to wait for 0.36 to be released from upstream (might take a couple of months probably). Let me know if this is ok or not, I am not aware of pressing bugs / features that people are waiting but please let me know in case there are.

Cc: @kzimmerman

mpopov moved this task from Inbox to Tracking on the Better Use Of Data board.Dec 6 2019, 6:10 PM
elukey updated the task description. (Show Details)Jan 17 2020, 7:42 AM

Superset 0.36+ requires:

  • superset.app:create_app() in the ExecStart of the superset.service unit
  • DRUID_IS_ACTIVE = True in superset_config.py

That indeed looks very useful, pinging @Gehel and company (@EBernhardson and @dcausse) so thet know that if we have a verison of elastic that supports SQL access it can be made to "talk" to superset.

Gehel added a comment.Apr 6 2020, 7:41 AM

That indeed looks very useful, pinging @Gehel and company (@EBernhardson and @dcausse) so thet know that if we have a verison of elastic that supports SQL access it can be made to "talk" to superset.

Looking a bit into the documentation, SQL seems to be part of X-Pack, which is under a commercial license. So no support in our context at the moment and unlikely that we'll have it any time soon.

elukey added a comment.Apr 6 2020, 1:40 PM

To keep archives happy: since we love our net-engineers, I followed up on the above and had a chat with Arzhel over IRC. Two notes:

elukey updated the task description. (Show Details)May 25 2020, 11:17 AM
SNowick_WMF added a subscriber: SNowick_WMF.EditedJun 26 2020, 10:02 PM

Low priority:
This looks to be a bug in Superset (https://github.com/apache/incubator-superset/issues/9229) but want to report I am seeing the same issue. When using Time-Series Bar Chart and using Week as Time Grain no Month label is shown, so it just shows arbitrary Mondays. Will use month for now but if anyone knows a fix please lmk.

RESOLVED:
Date can be changed in Customize - X Axis Format to include Month (thanks @cchen )

SNowick_WMF closed this task as Resolved.Jun 26 2020, 10:10 PM
SNowick_WMF claimed this task.
SNowick_WMF added a subscriber: cchen.
elukey reopened this task as Open.Sep 6 2020, 2:31 PM

Re-opening this task since we use it to keep track of superset upgrades (creating one subtask every time).

elukey claimed this task.Sep 6 2020, 2:32 PM
elukey updated the task description. (Show Details)
elukey updated the task description. (Show Details)Sep 21 2020, 8:03 AM
elukey updated the task description. (Show Details)Sep 30 2020, 8:37 AM
EYener added a subscriber: EYener.Jan 15 2021, 1:34 PM
Jgreen added a subscriber: Jgreen.Jan 19 2021, 3:44 PM